From Rajesh.Rao@chase.com Fri, 25 Jan 2002 08:44:46 -0800
From: Rajesh.Rao@chase.com
Date: Fri, 25 Jan 2002 08:44:46 -0800
Subject: Re: ROLLBACK SEGMENT?
Message-ID: <F001.003FB432.20020125083523@fatcity.com>
MIME-Version: 1.0
Content-Type: text/plain



John,

I DISAGREE. The gymnastics of assigning a large rollback segment to an
export could avoid the snapshot too old error.

I agree with Jeremy when he says export does not generate rollback. But I
was trying to impress upon him that still an export could end up with the
snapshot too old message, particularly if there are plenty of active DML
transactions happening while the export is in progress, or if the export
uses the consistent parameter, or the rollback segments are not properly
sized.

To stress my point further, Note:22836.1 on Metalink. I rest my case ;-)

Raj





orantdba <orantdba@netscape.net>@fatcity.com on 01/25/2002 08:20:25 AM

Please respond to ORACLE-L@fatcity.com



Sent by:  root@fatcity.com


To:   Multiple recipients of list ORACLE-L <ORACLE-L@fatcity.com>
cc:


Hi Raj,

Interesting that you first agree with Jeremy and then argue with him. It
is precisely because
export does not generate rollback that the "gymnastics" of taking all of
the other rbs's offline
will not help anything. It might make you feel better, however :-).

John

Rajesh.Rao@chase.com wrote:




Export doesn't generate any rollback, right, so what is it supposed to
accomplish by doing this incantation?





Sorry to press the point, but could you elaborate on how that "COULD"
possibly make any difference for 'snapshot too old'?



For the same reason, any other transaction could end up with a snapshot too
old error. Export does not generate any rollback, but there could be users
performing DML operations on the table  that is being exported, and the
export needs to be redirected to read from the rollback segments. The
likelihood of the error being thrown up especially if one uses the
consistent parameter could be very high, if you dont have a large enough
rollback segment without an optimal clause.

Raj





Jeremiah Wilton <jwilton@speakeasy.net>@fatcity.com on 01/23/2002 11:20:40
AM

Please respond to ORACLE-L@fatcity.com



Sent by:  root@fatcity.com


To:   Multiple recipien
ts of list ORACLE-L <ORACLE-L@fatcity.com>
cc:


On Tue, 22 Jan 2002, Rajesh.Rao@chase.com wrote:



Hmmmm ... "COULD" help in avoiding snapshot too old errors.



Sorry to press the point, but could you elaborate on how that "COULD"
possibly make any difference for 'snapshot too old'?

--
Jeremiah Wilton
http://www.speakeasy.net/~jwilton



Jeremiah Wilton <jwilton@speakeasy.net> wrote:

So what does it accomplish to "assign export [to] a particular
rollback segment?"

Export doesn't generate any rollback, right, so what is it supposed to
accomplish by doing this incantation?

On Tue, 22 Jan 2002, Jason Rowski wrote:



... you can use the following trick to assign export a
particular rollback segment -

1) Create a rollback segment tablespace with one large
segment and bring it online before export.
2) Offline all existing rollback segments.
3) Export the database
4) Offline the large tablespace created earlier.
5) Bring back the orginals rollback segments online.


--- Seema Singh <oracledbam@hotmail.com> wrote:


Can I use one rollback segment at time of export?Is
yes,then
SET TRANSACTION USE ROLLBACK SEGMENT
rollbacksegmentname;



--
Please see the official ORACLE-L FAQ: http://www.orafaq.com
--
Author: Jeremiah Wilton
INET: jwilton@speakeasy.net

Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
San Diego, California        -- Public Internet access / Mailing Lists
--------------------------------------------------------------------
To REMOVE yourself from this mailing list, send an E-Mail message
to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
the message BODY, include a line containing: UNSUB ORACLE-L
(or the name of mailing list you want to be removed from).  You may
also send the HELP command for other information (like subscribing).










--
Please see the official ORACLE-L FAQ: http://www.orafaq.com
--
Author:
  INET: Rajesh.Rao@chase.com

Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
San Diego, California        -- Public Internet access / Mailing Lists
--------------------------------------------------------------------
To REMOVE yourself from this mailing list, send an E-Mail message
to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
the message BODY, include a line containing: UNSUB ORACLE-L
(or the name of mailing list you want to be removed from).  You may
also send the HELP command for other information (like subscribing).




